POST Operator/Get_Clients_List?Ticket={Ticket}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
Ticket

string

Required

Body Parameters

Params_Get_Clients
NameDescriptionTypeAdditional information
Search

string

None.

Start

integer

None.

Max

integer

None.

CLIENT_TYPE_ID

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Search": "sample string 1",
  "Start": 2,
  "Max": 3,
  "CLIENT_TYPE_ID": 1
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'Params_Get_Clients'.

Response Information

Resource Description

Result_Get_Clients_List
NameDescriptionTypeAdditional information
draw

integer

None.

recordsFiltered

integer

None.

recordsTotal

integer

None.

data

Collection of Client_L

None.

ExceptionMsg

string

None.

Response Formats

application/json, text/json

Sample:
{
  "draw": 1,
  "recordsFiltered": 2,
  "recordsTotal": 3,
  "data": [
    {
      "CLIENT_ID": 1,
      "IS_ACTIVE": true,
      "IS_CLIENT": true,
      "IS_COMPANY": true,
      "IS_SUPPLIER": true,
      "IS_CONTRACTOR": true,
      "CLIENT_NAME": "sample string 7",
      "CONTACT_PERSON": "sample string 8",
      "CLIENT_TYPE": "Supplier",
      "myAddresses": [
        {
          "CLIENT_ADDRESS_ID": 1,
          "CLIENT_ID": 2,
          "COMPANY_ID": 3,
          "COUNTRY_ID": 4,
          "ADDRESS_NAME": "sample string 5",
          "ADDRESS_STATE": "sample string 6",
          "ADDRESS_CITY": "sample string 7",
          "ADDRESS_STREET": "sample string 8",
          "ADDRESS_ZIPCODE": "sample string 9",
          "ADDRESS_GEOLOCATION": "sample string 10",
          "ADDRESS_LATITUDE": 1.0,
          "ADDRESS_LONGITUDE": 1.0,
          "IS_MAIN": true,
          "IS_BILLING": true,
          "DISPLAY_ORDER": 13,
          "IS_ACTIVE": true,
          "REMARKS": "sample string 15",
          "CREATE_DATE": "2026-11-07T12:27:59.7190071+00:00",
          "CREATE_USER": 17,
          "IsDeleted": true,
          "APARTMENT_NB": "sample string 19",
          "COUNTRY_NAME": "sample string 20",
          "HAS_WAREHOUSE": true,
          "PROVINCE_ID": 1,
          "PROVINCE_CODE": "sample string 22"
        },
        {
          "CLIENT_ADDRESS_ID": 1,
          "CLIENT_ID": 2,
          "COMPANY_ID": 3,
          "COUNTRY_ID": 4,
          "ADDRESS_NAME": "sample string 5",
          "ADDRESS_STATE": "sample string 6",
          "ADDRESS_CITY": "sample string 7",
          "ADDRESS_STREET": "sample string 8",
          "ADDRESS_ZIPCODE": "sample string 9",
          "ADDRESS_GEOLOCATION": "sample string 10",
          "ADDRESS_LATITUDE": 1.0,
          "ADDRESS_LONGITUDE": 1.0,
          "IS_MAIN": true,
          "IS_BILLING": true,
          "DISPLAY_ORDER": 13,
          "IS_ACTIVE": true,
          "REMARKS": "sample string 15",
          "CREATE_DATE": "2026-11-07T12:27:59.7190071+00:00",
          "CREATE_USER": 17,
          "IsDeleted": true,
          "APARTMENT_NB": "sample string 19",
          "COUNTRY_NAME": "sample string 20",
          "HAS_WAREHOUSE": true,
          "PROVINCE_ID": 1,
          "PROVINCE_CODE": "sample string 22"
        }
      ],
      "CLIENT_COMPANY_NAME": "sample string 9"
    },
    {
      "CLIENT_ID": 1,
      "IS_ACTIVE": true,
      "IS_CLIENT": true,
      "IS_COMPANY": true,
      "IS_SUPPLIER": true,
      "IS_CONTRACTOR": true,
      "CLIENT_NAME": "sample string 7",
      "CONTACT_PERSON": "sample string 8",
      "CLIENT_TYPE": "Supplier",
      "myAddresses": [
        {
          "CLIENT_ADDRESS_ID": 1,
          "CLIENT_ID": 2,
          "COMPANY_ID": 3,
          "COUNTRY_ID": 4,
          "ADDRESS_NAME": "sample string 5",
          "ADDRESS_STATE": "sample string 6",
          "ADDRESS_CITY": "sample string 7",
          "ADDRESS_STREET": "sample string 8",
          "ADDRESS_ZIPCODE": "sample string 9",
          "ADDRESS_GEOLOCATION": "sample string 10",
          "ADDRESS_LATITUDE": 1.0,
          "ADDRESS_LONGITUDE": 1.0,
          "IS_MAIN": true,
          "IS_BILLING": true,
          "DISPLAY_ORDER": 13,
          "IS_ACTIVE": true,
          "REMARKS": "sample string 15",
          "CREATE_DATE": "2026-11-07T12:27:59.7190071+00:00",
          "CREATE_USER": 17,
          "IsDeleted": true,
          "APARTMENT_NB": "sample string 19",
          "COUNTRY_NAME": "sample string 20",
          "HAS_WAREHOUSE": true,
          "PROVINCE_ID": 1,
          "PROVINCE_CODE": "sample string 22"
        },
        {
          "CLIENT_ADDRESS_ID": 1,
          "CLIENT_ID": 2,
          "COMPANY_ID": 3,
          "COUNTRY_ID": 4,
          "ADDRESS_NAME": "sample string 5",
          "ADDRESS_STATE": "sample string 6",
          "ADDRESS_CITY": "sample string 7",
          "ADDRESS_STREET": "sample string 8",
          "ADDRESS_ZIPCODE": "sample string 9",
          "ADDRESS_GEOLOCATION": "sample string 10",
          "ADDRESS_LATITUDE": 1.0,
          "ADDRESS_LONGITUDE": 1.0,
          "IS_MAIN": true,
          "IS_BILLING": true,
          "DISPLAY_ORDER": 13,
          "IS_ACTIVE": true,
          "REMARKS": "sample string 15",
          "CREATE_DATE": "2026-11-07T12:27:59.7190071+00:00",
          "CREATE_USER": 17,
          "IsDeleted": true,
          "APARTMENT_NB": "sample string 19",
          "COUNTRY_NAME": "sample string 20",
          "HAS_WAREHOUSE": true,
          "PROVINCE_ID": 1,
          "PROVINCE_CODE": "sample string 22"
        }
      ],
      "CLIENT_COMPANY_NAME": "sample string 9"
    }
  ],
  "ExceptionMsg": "sample string 4"
}